@extends('dashboards.layouts.dash-layout')
@section('title', 'Penilaian')

@section('content')
{{-- @php
    dd($alternatifs);
@endphp --}}
<!-- Content Header (Page header) -->
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Penilaian</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Penilaian</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
    
    @if ($message = Session::get('success'))
    <div class="container-fluid">
      <div class="card card-success">
        <div class="card-header">
          <h3 class="card-title">SUKSES</h3>
    
          <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="remove"><i class="fas fa-times"></i>
            </button>
          </div>
          <!-- /.card-tools -->
        </div>
        <!-- /.card-header -->
        <div class="card-body">
          <strong> {{ $message }} </strong>
          @foreach ($errors->all() as $error)
                  <li>{{ $error }}</li>
          @endforeach
        </div>
        <!-- /.card-body -->
      </div>
      </div>
      @endif
  </section>

  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">          
          <div class="card">
            <div class="card-header ">
              <div class="row">
                  <div class="col-md-10">
                    <div class="form-group">

                      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
              <select class="custom-select" required id="item" name="item">
                <option value="" disabled selected>None</option>>
                @foreach ($alternatifs as $alternatif)
                  <option value="{{ $alternatif->id }}" data-description="{{ $alternatif->id }}">{{ $alternatif->id }}</option>
                @endforeach
              </select>
                    </div>
                  </div>
              
              <div class="col-md-2">
                <div class="form-group">
              <a class="btn btn-default float-right" href="{{ Route('adminCreatePenilaian') }}">Pilih</a>
                </div>
              </div>
            </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
{{-- <input type="text" class="Description form-control" name="Description" id="Description" readonly> --}}
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th>No</th>
                    <th>Alternatif</th>
                    <th>Nama Kriteria</th>
                    <th>Nilai</th>
                    <th width="280px">Aksi</th>
                </tr>
                </thead>
                <tbody>
                    @foreach ($penilaians as $penilaian)
                    
                  <tr>
                      <td>{{ $loop->iteration }}</td>
                      <td>
                        <form class="form-horizontal" method="POST" action="{{ route('adminUpdatePenilaian',$penilaian->id) }}" id="AdminInfoForm">
                        <select class="custom-select" required name="id_alternatif">
                          {{-- jikaidalternatifkosong --}}
                            @if (!$penilaian->id_alternatif)
                              <option value="">Kosong</option>
                              @foreach ($alternatifs as $alternatif)
                                <option value="{{ $alternatif->id }}">{{ $alternatif->name }}</option>
                              @endforeach

                            @else
                              <option value="{{ $penilaian->id_alternatif }}">{{ $penilaian->panggilAlternatif['name'] }}</option>>
                              @foreach ($alternatifs as $alternatif)
                              <option value="">Kosong</option>
                                <option value="{{ $alternatif->id }}">{{ $alternatif->name }}</option>
                              @endforeach
                            @endif
                        </select>
                      </td>
                      <td>{{ $penilaian->panggilKriteria['name'] }}</td>
                      <td>
                          @method('PATCH')
                          @csrf
                        <input type="text" class="form-control" id="nilai" placeholder="Nilai" value="{{ $penilaian->nilai }}" name="nilai">
                        <input type="hidden" class="form-control" id="idpenilaian" placeholder="idpenilaian" value="{{ $penilaian->id }}" name="idpenilaian">
                      </td>
                      <td>
                        <input type="hidden" value="{{ $penilaian->panggilKriteria['id'] }}" name="nama_kriteria">
                        <button type="submit" class="btn btn-primary" >Simpan</button>
                      </form>
                      </td>
                  </tr>
                  @endforeach
                </tfoot>
              </table>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
  </section>
  
<script>
  $('#item').change(function(e) {
  var element = $(this).find('option:selected');
  var desc = element.data("description");
  $('#Description').val(desc);
});
</script>
    {{-- {!! $penilaian->links() !!} --}}
@endsection